Subject: Re: linux-next: Tree for Oct 31 (ehci, dbgp)

From: Greg KH <[email-masked]>
Date: Fri, 2 Nov 2012 08:39:31 -0700

On Fri, Nov 02, 2012 at 10:20:27AM -0400, Alan Stern wrote:
> On Fri, 2 Nov 2012, Jan Beulich wrote:
> 
> > >>> On 02.11.12 at 15:01, Alan Stern <[email-masked]> wrote:
> > > On Thu, 1 Nov 2012, Jan Beulich wrote:
> > > 
> > >> >>> Alan Stern <[email-masked]> 11/01/12 9:39 PM >>>
> > >> >On Thu, 1 Nov 2012, Jan Beulich wrote:
> > >> >> >>> Alan Stern <[email-masked]> 11/01/12 4:28 PM >>>
> > >> >> >Evidently we need to change your new test in
> > >> >> >drivers/usb/early/ehci-dbgp.c to:
> > >> >> >
> > >> >> >#if IS_ENABLED(CONFIG_USB_HCD_EHCI) || defined(CONFIG_USB_CHIPIDEA_HOST)
> > >> >> >
> > >> >> >Upcoming changes to ehci-hcd will make this unnecessary in 3.8, but for 
> > >> >> >now we need it.
> > >> >> 
> > >> >> Which tells me that the CONFIG_USB_SUPPORT version would have been
> > >> >> the better one  (and I would favor that over the ugly variant you suggest
> > >> >> above).
> > >> >
> > >> >I also suggested IS_ENABLED(CONFIG_USB), which is no uglier than what 
> > >> >you submitted and would also fix this build error.  How about using it 
> > >> >instead?
> > >> 
> > >> Yes, that's better. Question then is - updated original patch or incremental 
> > > one?
> > > 
> > > Greg will probably want an incremental patch, because the original has 
> > > already been merged.
> > 
> > I actually sent both (the incremental as attachment - I hope that's
> > going to be acceptable to him) in a submission earlier today.
> 
> Ah, okay, good.
> 
> Greg, whichever version you take, you can add:
> 
> Acked-by: Alan Stern <[email-masked]>

Thanks for that, as you guessed, I have to take the incremental one as
the first is already applied.

greg k-h